import 'package:flutter/material.dart';
import 'package:rehana/dialogs/base.dart';
import 'package:rehana/locator.dart';
import 'package:rehana/services/dialog.dart';

class InfoDialog extends BaseDialog {
  @override
  void show(BuildContext context, String completerId, {dynamic data}) {
    showDialog(
        context: context,
        builder: (context) => AlertDialog(
              title: new Text(data['title']),
              content: new Text(data['text']),
              actions: <Widget>[
                RaisedButton(
                  child: Text("OK"),
                  onPressed: () {
                    ServiceManager<DialogService>().completeDialog(
                        context: context,
                        completerId: completerId,
                        result: {'success': true});
                  },
                )
              ],
            ));
    // Alert(
    //     context: context,
    //     title: "FilledStacks",
    //     desc: "My tutorials show realworld structures.",
    //     closeFunction: () => _dialogService.dialogComplete(),
    //     buttons: [
    //       DialogButton(
    //         child: Icon(Icons.add),
    //         onPressed: () {
    //           _dialogService.dialogComplete();
    //           Navigator.of(context).pop();
    //         },
    //       )
    //     ]).show();
  }
}
