import 'package:flutter/material.dart';
import 'package:fluttertoast/fluttertoast.dart';
import 'package:rehana/helpers/console.dart';
import 'package:rehana/widgets/toast.dart';

FToast fToast = FToast();

showToast(BuildContext context, text) {
  try {
    removeAllQueuedToasts();
    fToast.init(context);

    fToast.showToast(
      child: ToastWidget(text: text),
      gravity: ToastGravity.BOTTOM,
      toastDuration: Duration(seconds: 2),
      // positionedToastBuilder: (context, child) {
      //   return Positioned(
      //     child: child,
      //     top: 16.0,
      //     left: 16.0,
      //   );
      // }
    );
  } catch (e) {
    console(ConsoleLevel.Error, e.toString());
  }
}

removeAllQueuedToasts() {
  fToast.removeQueuedCustomToasts();
}
