import 'package:get_it/get_it.dart';
import 'package:rehana/services/dialog.dart';
import 'package:rehana/services/scaffold_helper.dart';
import 'package:rehana/services/navigation.dart';
import 'package:rehana/services/search.dart';
import 'package:rehana/services/url.dart';

GetIt _locator = GetIt.instance;

// ignore: non_constant_identifier_names
GetIt get ServiceManager => _locator;

setupRehanaLocators() {
  _locator.registerLazySingleton(() => UrlService());
  _locator.registerLazySingleton(() => ScaffoldHelperService());
  _locator.registerLazySingleton(() => NavigationService());
  _locator.registerLazySingleton(() => DialogService());
  _locator.registerLazySingleton(() => SearchService());
}
