import 'package:url_launcher/url_launcher.dart';
// import 'package:rxdart/rxdart.dart';

class UrlService {
  // openUrl
  openUrl(String url) async {
    String newUrl = url;

    RegExp urlRegExp = new RegExp(r"^[a-zA-Z'.\s]{1,40}$");

    // See if Url is valid
    Iterable<RegExpMatch> matches = urlRegExp.allMatches(url);
    if (matches.isEmpty) {
      return false;
    }

    // See if the Url can be improved
    if (!newUrl.contains('https://') && !newUrl.contains('http://')) {
      newUrl = "http://${(newUrl)}";
    }

    // Launch if the url is valid
    if (await canLaunch(newUrl)) {
      launch(newUrl);
      return true;
    } else {
      return false;
    }
  }
}
