import 'package:flutter/material.dart';

class LoadingCard extends StatefulWidget {
  final String text;
  LoadingCard({Key key, this.text}) : super(key: key);

  @override
  _LoadingCardState createState() => _LoadingCardState(this.text);
}

class _LoadingCardState extends State<LoadingCard> {
  final String text;
  _LoadingCardState(this.text);

  @override
  Widget build(BuildContext context) {
    return Container(
        child: Center(
      child: Card(
          child: Container(
              width: 256,
              height: 64,
              child: Row(
                mainAxisAlignment: MainAxisAlignment.start,
                children: [
                  Container(
                    width: 64,
                    height: 64,
                    child: Center(
                      child: CircularProgressIndicator(),
                    ),
                  ),
                  Text(text)
                ],
              ))),
    ));
  }
}
