import 'package:flutter/material.dart';

class DrawerItem {
  IconData icon;
  String title;
  Function onTap;

  DrawerItem({this.icon, this.title, this.onTap});

  DrawerItem.fromJson(Map<String, dynamic> json) {
    icon = json['icon'];
    title = json['title'];
    onTap = null;
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['icon'] = this.icon;
    data['title'] = this.title;
    data['onTap'] = null;
    return data;
  }
}
